Join a webinar on April 30th: Unlocking Your Data using AI with Box Extract & MCP Server. Register here
curl -i -X POST "https://api.box.com/2.0/sign_requests/<SIGN_REQUEST_ID>/cancel" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"is_document_preparation_needed": true,
"redirect_url": "https://www.example.com",
"declined_redirect_url": "https://declined-redirect.com",
"are_text_signatures_enabled": true,
"email_subject": "Sign Request from Acme",
"email_message": "Hello! Please sign the document below",
"are_reminders_enabled": true,
"name": "name",
"prefill_tags": [
{
"document_tag_id": "1234",
"text_value": "text",
"checkbox_value": true,
"date_value": "2021-04-26"
}
],
"days_valid": 2,
"external_id": "123",
"template_id": "123075213-af2c8822-3ef2-4952-8557-52d69c2fe9cb",
"external_system_name": "Box",
"type": "sign-request",
"source_files": [
{
"id": "12345",
"type": "file",
"etag": "1"
}
],
"signers": [
{
"email": "example@gmail.com",
"role": "signer",
"is_in_person": true,
"order": 2,
"embed_url_external_user_id": "1234",
"redirect_url": "https://example.com",
"declined_redirect_url": "https://declined-example.com",
"login_required": true,
"verification_phone_number": "6314578901",
"signer_group_id": "cd4ff89-8fc1-42cf-8b29-1890dedd26d7",
"suppress_notifications": false,
"language": "en",
"has_viewed_document": true,
"signer_decision": {
"type": "signed",
"finalized_at": "2021-04-26T08:12:13.982Z",
"additional_info": "Requesting changes before signing."
},
"inputs": [
{
"page_index": 4,
"document_tag_id": "1234",
"text_value": "text",
"checkbox_value": true,
"date_value": "2021-04-26",
"type": "text",
"content_type": "signature",
"read_only": true,
"validation": {
"validation_type": "email"
}
}
],
"embed_url": "https://example.com",
"iframeable_embed_url": "https://app.box.com/embed/sign/document/gfhr4222-a331-494b-808b-79bc7f3992a3/f14d7098-a331-494b-808b-79bc7f3992a4",
"attachments": [
{
"id": "12345",
"name": "proof_of_identity.pdf"
}
]
}
],
"signature_color": "blue",
"id": "12345",
"prepare_url": "https://prepareurl.com",
"signing_log": {
"id": "12345",
"type": "file",
"etag": "1",
"sequence_id": "3",
"name": "Contract.pdf",
"sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
"file_version": {
"id": "12345",
"type": "file_version",
"sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
}
},
"status": "converting",
"sign_files": {
"files": [
{
"id": "12345",
"type": "file",
"etag": "1",
"sequence_id": "3",
"name": "Contract.pdf",
"sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
"file_version": {
"id": "12345",
"type": "file_version",
"sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
}
}
],
"is_ready_for_download": true
},
"auto_expire_at": "2021-04-26T08:12:13.982Z",
"parent_folder": {
"id": "12345",
"type": "folder",
"etag": "1",
"sequence_id": "3",
"name": "Contracts"
},
"collaborator_level": "owner",
"short_id": "SR-12345",
"created_at": "2025-02-01T12:00:00Z",
"finished_at": "2025-02-02T12:00:00Z",
"sender_email": "sender@box.com",
"sender_id": 12345
}署名リクエストをキャンセルします。
curl -i -X POST "https://api.box.com/2.0/sign_requests/<SIGN_REQUEST_ID>/cancel" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"is_document_preparation_needed": true,
"redirect_url": "https://www.example.com",
"declined_redirect_url": "https://declined-redirect.com",
"are_text_signatures_enabled": true,
"email_subject": "Sign Request from Acme",
"email_message": "Hello! Please sign the document below",
"are_reminders_enabled": true,
"name": "name",
"prefill_tags": [
{
"document_tag_id": "1234",
"text_value": "text",
"checkbox_value": true,
"date_value": "2021-04-26"
}
],
"days_valid": 2,
"external_id": "123",
"template_id": "123075213-af2c8822-3ef2-4952-8557-52d69c2fe9cb",
"external_system_name": "Box",
"type": "sign-request",
"source_files": [
{
"id": "12345",
"type": "file",
"etag": "1"
}
],
"signers": [
{
"email": "example@gmail.com",
"role": "signer",
"is_in_person": true,
"order": 2,
"embed_url_external_user_id": "1234",
"redirect_url": "https://example.com",
"declined_redirect_url": "https://declined-example.com",
"login_required": true,
"verification_phone_number": "6314578901",
"signer_group_id": "cd4ff89-8fc1-42cf-8b29-1890dedd26d7",
"suppress_notifications": false,
"language": "en",
"has_viewed_document": true,
"signer_decision": {
"type": "signed",
"finalized_at": "2021-04-26T08:12:13.982Z",
"additional_info": "Requesting changes before signing."
},
"inputs": [
{
"page_index": 4,
"document_tag_id": "1234",
"text_value": "text",
"checkbox_value": true,
"date_value": "2021-04-26",
"type": "text",
"content_type": "signature",
"read_only": true,
"validation": {
"validation_type": "email"
}
}
],
"embed_url": "https://example.com",
"iframeable_embed_url": "https://app.box.com/embed/sign/document/gfhr4222-a331-494b-808b-79bc7f3992a3/f14d7098-a331-494b-808b-79bc7f3992a4",
"attachments": [
{
"id": "12345",
"name": "proof_of_identity.pdf"
}
]
}
],
"signature_color": "blue",
"id": "12345",
"prepare_url": "https://prepareurl.com",
"signing_log": {
"id": "12345",
"type": "file",
"etag": "1",
"sequence_id": "3",
"name": "Contract.pdf",
"sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
"file_version": {
"id": "12345",
"type": "file_version",
"sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
}
},
"status": "converting",
"sign_files": {
"files": [
{
"id": "12345",
"type": "file",
"etag": "1",
"sequence_id": "3",
"name": "Contract.pdf",
"sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
"file_version": {
"id": "12345",
"type": "file_version",
"sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
}
}
],
"is_ready_for_download": true
},
"auto_expire_at": "2021-04-26T08:12:13.982Z",
"parent_folder": {
"id": "12345",
"type": "folder",
"etag": "1",
"sequence_id": "3",
"name": "Contracts"
},
"collaborator_level": "owner",
"short_id": "SR-12345",
"created_at": "2025-02-01T12:00:00Z",
"finished_at": "2025-02-02T12:00:00Z",
"sender_email": "sender@box.com",
"sender_id": 12345
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
署名リクエストのID。
署名リクエストをキャンセルするためのリクエスト本文。
署名リクエストをキャンセルする理由 (省略可)。
"Project cancelled"
署名リクエストオブジェクトを返します。
Box Signリクエストオブジェクト。
UIを使用してドキュメントの準備を完了するために送信者がレスポンスでprepare_urlを受け取る必要があるかどうかを示します。
true
指定した場合、ドキュメントに署名された時点で、署名リクエストがこのURLにリダイレクトされます。
"https://www.example.com"
署名者がドキュメントへの署名を拒否した後にリダイレクトされるURI。
"https://declined-redirect.com"
(テキストの) 入力で生成された署名の使用を無効にします。
true
署名リクエストメールの件名。これは、署名リクエストによって消去されます。このフィールドを渡さない場合は、デフォルトの件名が使用されます。
"Sign Request from Acme"
署名リクエストメールに含めるメッセージ。このフィールドは、特定の文字のサニタイズによって消去されます。ただし、一部のHTMLタグは使用できます。また、このメッセージに含まれているリンクはメールではハイパーリンクに変換されます。このメッセージには、HTMLタグa、abbr、acronym、b、blockquote、code、em、i、ul、li、ol、strongを含めることができます。HTMLに対するテキストの比率が大きすぎると、メールがスパムフィルタに入る可能性があることに注意してください。これらのタグにカスタムスタイルを適用することはできません。このフィールドを渡さない場合は、デフォルトのメッセージが使用されます。
"Hello! Please sign the document below"
3、8、13、18日目にドキュメントに署名するよう署名者に促します。リマインダは未署名の署名者にのみ送信されます。
true
署名リクエストの名前。
"name"
署名に関連するタグがドキュメントのコンテンツに含まれている場合、このprefill_tagsを使用してタグを事前入力できます。その際、タグの「id」を事前入力タグのexternal_idフィールドとして参照します。
Show child attributes
作成した署名リクエストが完了しなかった場合に自動的に期限切れになるまでの日数を設定します。デフォルトでは、署名リクエストに有効期限を適用しないため、署名リクエストは期限切れになりません。
0 <= x <= 7302
これは、署名リクエストが関連する外部システムのIDを参照する際に使用できます。
"123"
署名リクエストがテンプレートから作成された場合、このフィールドはそのテンプレートのIDを示します。
"123075213-af2c8822-3ef2-4952-8557-52d69c2fe9cb"
署名ログで、embed_url_external_idが割り当てられている署名者の横に表示するシステム名 (省略可) として使用されます。
"Box"
値は常にsign-requestになります。
sign-request "sign-request"
署名するドキュメントの作成元ファイルのリスト。現在は、10ファイルに制限されています。ファイルごとにIDフィールドとtypeフィールドのみが必要です。
最も基本的なファイルのBase版の表示。fieldsクエリパラメータを使用すると、最小限の数のフィールドが返されます。
Show child attributes
署名リクエストの署名者の配列。
Show child attributes
署名に特定の色 (青、黒、または赤) を強制します。
"blue"
Box SignリクエストID。
"12345"
このURLは、リクエストでis_document_preparation_neededがtrueに設定されている場合に返されます。このパラメータは、UIを使用して署名リクエストを準備する際に使用されます。署名リクエストは、準備段階が完了するまで送信されません。
"https://prepareurl.com"
リクエストに対する署名者のアクティビティがすべて記録されているファイルへの参照。
Show child attributes
署名リクエストのステータスを説明します。
converting, created, sent, viewed, signed, cancelled, declined, error_converting, error_sending, expired, finalizing, error_finalizing "converting"
署名されるファイル (元のソースファイルのコピー) のリスト。署名者が署名すると、これらのファイルの新しいバージョンが作成され、署名プロセスのどの時点でもダウンロードできます。
Show child attributes
days_validを使用すると、未署名の場合に署名リクエストの有効期限となる日時 (GMT) が計算されます。
"2021-04-26T08:12:13.982Z"
最終的な署名済みドキュメントと署名ログの保存先フォルダ。
署名リクエストの作成時にこの値が渡されなかった場合は、デフォルトのフォルダを使用することになります。デフォルトのフォルダは、ペイロードの最初のソースファイルの親フォルダ (そのフォルダへのアップロード権限がある場合) または「My Sign Requests」という名前のフォルダになります。
Show child attributes
署名リクエストに対するユーザーのコラボレータレベル。値には「owner」、「editor」、「viewer」を指定できます。
"owner"
署名リクエストの短い識別子。
"SR-12345"
署名リクエストが作成された日時をマークするタイムスタンプ。
"2025-02-01T12:00:00Z"
すべての署名操作が完了した日時を示すタイムスタンプ。
"2025-02-02T12:00:00Z"
署名リクエストの送信者のメールアドレス。
"sender@box.com"
署名リクエストの送信者のユーザーID。
12345
このページは役に立ちましたか?